java.beans

## Class PropertyChangeListenerProxy

- java.lang.Object
- - java.util.EventListenerProxy<PropertyChangeListener>
  - - java.beans.PropertyChangeListenerProxy

All Implemented Interfaces:
  PropertyChangeListener, EventListener

    public class PropertyChangeListenerProxy
    extends EventListenerProxy<PropertyChangeListener>
    implements PropertyChangeListener

A class which extends the `EventListenerProxy` specifically for adding a `PropertyChangeListener` with a "bound" property. Instances of this class can be added as `PropertyChangeListener`s to a bean which supports firing property change events.

If the object has a `getPropertyChangeListeners` method then the array returned could be a mixture of `PropertyChangeListener` and `PropertyChangeListenerProxy` objects.

Since:
  1.4
See Also:
  `EventListenerProxy`, `PropertyChangeSupport.getPropertyChangeListeners()`

### Constructor Summary

Constructors
Constructor and Description
`PropertyChangeListenerProxy(String propertyName, PropertyChangeListener listener)` Constructor which binds the `PropertyChangeListener` to a specific property.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getPropertyName()` Returns the name of the named property associated with the listener.
`void` `propertyChange(PropertyChangeEvent event)` Forwards the property change event to the listener delegate.

### Methods inherited from class java.util.EventListenerProxy

`getListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyChangeListenerProxy

    public PropertyChangeListenerProxy(String propertyName,
                                       PropertyChangeListener listener)

Constructor which binds the `PropertyChangeListener` to a specific property.

Parameters:
  `propertyName` - the name of the property to listen on
  `listener` - the listener object

### Method Detail

#### propertyChange

    public void propertyChange(PropertyChangeEvent event)

Forwards the property change event to the listener delegate.

Specified by:
  `propertyChange` in interface `PropertyChangeListener`
Parameters:
  `event` - the property change event

#### getPropertyName

    public String getPropertyName()

Returns the name of the named property associated with the listener.

Returns:
  the name of the named property associated with the listener